Build failed in Jenkins: ovirt_4.0_he-system-tests #37
jenkins at jenkins.phx.ovirt.org
jenkins at jenkins.phx.ovirt.org
Wed Jul 20 01:35:05 UTC 2016
See <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/37/changes>
Changes:
[Lev Veyde] ovirt-system-tests: Add automation for he_iscsi_basic_suite_4.0
------------------------------------------
[...truncated 681 lines...]
|-
|-
|- --== MISC CONFIGURATION ==--
|-
|- Please choose Data Warehouse sampling scale:
|- (1) Basic
|- (2) Full
|- (1, 2)[1]:
|-
|- --== END OF CONFIGURATION ==--
|-
|- [ INFO ] Stage: Setup validation
|- [WARNING] Cannot validate host name settings, reason: cannot resolve own name 'hosted-engine'
|- [WARNING] Warning: Not enough memory is available on the host. Minimum requirement is 4096MB, and 16384MB is recommended.
|-
|- --== CONFIGURATION PREVIEW ==--
|-
|- Application mode : both
|- Default SAN wipe after delete : False
|- Firewall manager : firewalld
|- Update Firewall : True
|- Host FQDN : hosted-engine.lago.local
|- Engine database secured connection : False
|- Engine database host : localhost
|- Engine database user name : engine
|- Engine database name : engine
|- Engine database port : 5432
|- Engine database host name validation : False
|- DWH database secured connection : False
|- DWH database host : localhost
|- DWH database user name : ovirt_engine_history
|- DWH database name : ovirt_engine_history
|- DWH database port : 5432
|- DWH database host name validation : False
|- Engine installation : True
|- PKI organization : lago.local
|- Configure local Engine database : True
|- Set application as default page : True
|- Configure Apache SSL : True
|- DWH installation : True
|- Configure local DWH database : True
|- Engine Host FQDN : hosted-engine.lago.local
|- Configure VMConsole Proxy : True
|- Configure WebSocket Proxy : True
|- [ INFO ] Stage: Transaction setup
|- [ INFO ] Stopping engine service
|- [ INFO ] Stopping ovirt-fence-kdump-listener service
|- [ INFO ] Stopping dwh service
|- [ INFO ] Stopping websocket-proxy service
|- [ INFO ] Stage: Misc configuration
|- [ INFO ] Stage: Package installation
|- [ INFO ] Stage: Misc configuration
|- [ INFO ] Upgrading CA
|- [ INFO ] Initializing PostgreSQL
|- [ INFO ] Creating PostgreSQL 'engine' database
|- [ INFO ] Configuring PostgreSQL
|- [ INFO ] Creating PostgreSQL 'ovirt_engine_history' database
|- [ INFO ] Configuring PostgreSQL
|- [ INFO ] Creating CA
|- [ INFO ] Creating/refreshing Engine database schema
Build timed out (after 360 minutes). Marking the build as failed.
Build was aborted
Performing Post build task...
Match found for :.* : True
Logical operation result is TRUE
Running script : #!/bin/bash -xe
echo 'shell_scripts/system_tests.collect_logs.sh'
#
# Required jjb vars:
# version
#
VERSION=4.0
SUITE_TYPE=
WORKSPACE="$PWD"
OVIRT_SUITE="$SUITE_TYPE_suite_$VERSION"
TESTS_LOGS="$WORKSPACE/ovirt-system-tests/exported-artifacts"
rm -rf "$WORKSPACE/exported-artifacts"
mkdir -p "$WORKSPACE/exported-artifacts"
if [[ -d "$TESTS_LOGS" ]]; then
mv "$TESTS_LOGS/"* "$WORKSPACE/exported-artifacts/"
fi
[ovirt_4.0_he-system-tests] $ /bin/bash -xe /tmp/hudson301786022997325798.sh
+ echo shell_scripts/system_tests.collect_logs.sh
shell_scripts/system_tests.collect_logs.sh
+ VERSION=4.0
+ SUITE_TYPE=
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/>
+ OVIRT_SUITE=4.0
+ TESTS_LOGS=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-tests/exported-artifacts>
+ rm -rf <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/37/artifact/exported-artifacts>
+ mkdir -p <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/37/artifact/exported-artifacts>
+ [[ -d <http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/ovirt-system-tests/exported-artifacts> ]]
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 0
Match found for :.* : True
Logical operation result is TRUE
Running script : #!/bin/bash -xe
echo "shell-scripts/mock_cleanup.sh"
shopt -s nullglob
WORKSPACE="$PWD"
# Make clear this is the cleanup, helps reading the jenkins logs
cat <<EOC
_______________________________________________________________________
#######################################################################
# #
# CLEANUP #
# #
#######################################################################
EOC
# Archive the logs, we want them anyway
logs=(
./*log
./*/logs
)
if [[ "$logs" ]]; then
tar cvzf exported-artifacts/logs.tgz "${logs[@]}"
rm -rf "${logs[@]}"
fi
# stop any processes running inside the chroot
failed=false
mock_confs=("$WORKSPACE"/*/mocker*)
# Clean current jobs mockroot if any
for mock_conf_file in "${mock_confs[@]}"; do
[[ "$mock_conf_file" ]] || continue
echo "Cleaning up mock $mock_conf"
mock_root="${mock_conf_file##*/}"
mock_root="${mock_root%.*}"
my_mock="/usr/bin/mock"
my_mock+=" --configdir=${mock_conf_file%/*}"
my_mock+=" --root=${mock_root}"
my_mock+=" --resultdir=$WORKSPACE"
#TODO: investigate why mock --clean fails to umount certain dirs sometimes,
#so we can use it instead of manually doing all this.
echo "Killing all mock orphan processes, if any."
$my_mock \
--orphanskill \
|| {
echo "ERROR: Failed to kill orphans on $chroot."
failed=true
}
mock_root="$(\
grep \
-Po "(?<=config_opts\['root'\] = ')[^']*" \
"$mock_conf_file" \
)" || :
[[ "$mock_root" ]] || continue
mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
if [[ "$mounts" ]]; then
echo "Found mounted dirs inside the chroot $chroot. Trying to umount."
fi
for mount in "${mounts[@]}"; do
sudo umount --lazy "$mount" \
|| {
echo "ERROR: Failed to umount $mount."
failed=true
}
done
done
# Clean any leftover chroot from other jobs
for mock_root in /var/lib/mock/*; do
this_chroot_failed=false
mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
if [[ "$mounts" ]]; then
echo "Found mounted dirs inside the chroot $mock_root." \
"Trying to umount."
fi
for mount in "${mounts[@]}"; do
sudo umount --lazy "$mount" \
|| {
echo "ERROR: Failed to umount $mount."
failed=true
this_chroot_failed=true
}
done
if ! $this_chroot_failed; then
sudo rm -rf "$mock_root"
fi
done
if $failed; then
echo "Aborting."
exit 1
fi
# remove mock system cache, we will setup proxies to do the caching and this
# takes lots of space between runs
shopt -u nullglob
sudo rm -Rf /var/cache/mock/*
# restore the permissions in the working dir, as sometimes it leaves files
# owned by root and then the 'cleanup workspace' from jenkins job fails to
# clean and breaks the jobs
sudo chown -R "$USER" "$WORKSPACE"
[ovirt_4.0_he-system-tests] $ /bin/bash -xe /tmp/hudson1800591941197086904.sh
+ echo shell-scripts/mock_cleanup.sh
shell-scripts/mock_cleanup.sh
+ shopt -s nullglob
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_4.0_he-system-tests/ws/>
+ cat
_______________________________________________________________________
#######################################################################
# #
# CLEANUP #
# #
#######################################################################
+ logs=(./*log ./*/logs)
+ [[ -n ./ovirt-system-tests/logs ]]
+ tar cvzf exported-artifacts/logs.tgz ./ovirt-system-tests/logs
/tmp/hudson1689124028786776252.sh: line 24: 97484 Terminated ../jenkins/mock_configs/mock_runner.sh --mock-confs-dir ../jenkins/mock_configs --try-proxy --execute-script "automation/$OVIRT_SUITE.sh" fc23
./ovirt-system-tests/logs/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.he_basic_suite_4.0.sh/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.he_basic_suite_4.0.sh/he_basic_suite_4.0.sh.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.clean_rpmdb/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.clean_rpmdb/stdout_stderr.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.install_packages/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.install_packages/root.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.install_packages/build.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.install_packages/state.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.install_packages/stdout_stderr.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/root.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/build.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/state.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/stdout_stderr.log
gzip: stdout: No space left on device
tar: exported-artifacts/logs.tgz: Wrote only 2048 of 10240 bytes
tar: Error is not recoverable: exiting now
POST BUILD TASK : FAILURE
END OF POST BUILD TASK : 1
Recording test results
ERROR: Step ‘Publish JUnit test result report’ failed: No test report files were found. Configuration error?
Archiving artifacts
More information about the Infra
mailing list